Loading...
Searching...
No Matches
volk_32u_popcntpuppet_32u.h File Reference
`#include <stdint.h>`
`#include <volk/volk_32u_popcnt.h>`

Go to the source code of this file.

## Functions

static void | volk_32u_popcntpuppet_32u_generic (uint32_t *outVector, const uint32_t *inVector, unsigned int num_points)
static void | volk_32u_popcntpuppet_32u_a_sse4_2 (uint32_t *outVector, const uint32_t *inVector, unsigned int num_points)
static void | volk_32u_popcntpuppet_32u_neon (uint32_t *outVector, const uint32_t *inVector, unsigned int num_points)

## Function Documentation

## volk_32u_popcntpuppet_32u_a_sse4_2()

void volk_32u_popcntpuppet_32u_a_sse4_2 | ( | uint32_t * | outVector,
|  | const uint32_t * | inVector,
|  | unsigned int | num_points )

inline static

## volk_32u_popcntpuppet_32u_generic()

void volk_32u_popcntpuppet_32u_generic | ( | uint32_t * | outVector,
|  | const uint32_t * | inVector,
|  | unsigned int | num_points )

inline static

## volk_32u_popcntpuppet_32u_neon()

void volk_32u_popcntpuppet_32u_neon | ( | uint32_t * | outVector,
|  | const uint32_t * | inVector,
|  | unsigned int | num_points )

inline static